Package net.snowflake.client.core.auth.wif

## Class WorkloadIdentityAttestation

- java.lang.Object
- - net.snowflake.client.core.auth.wif.WorkloadIdentityAttestation

    @SnowflakeJdbcInternalApi
    public class WorkloadIdentityAttestation
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCredential()`
`net.snowflake.client.core.auth.wif.WorkloadIdentityProviderType` `getProvider()`
`Map<String,​String>` `getUserIdentifierComponents()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getProvider

    public net.snowflake.client.core.auth.wif.WorkloadIdentityProviderType getProvider()

#### getCredential

    public String getCredential()

#### getUserIdentifierComponents

    public Map<String,​String> getUserIdentifierComponents()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`